Kernel 4.19

AmigaOne X5000 platform specific issues related to Linux only.
caseycullen
Posts: 334
Joined: Sat Dec 17, 2016 7:12 am
Location: Madison, WI USA
Contact:

Re: Kernel 4.19

Post by caseycullen »

Hi Christian,
MATE-Terminal is crashing under Kernel 4.19.65, but not under 4.20.
MATE-Terminal running under 4.20
Image

Video showing crash under 4.19.65 - look at 0.03 seconds
YouTube Video

I can't find any error logs associated with this - any ideas?
-Casey

User avatar
xeno74
Posts: 5597
Joined: Fri Mar 23, 2012 7:58 am

Re: Kernel 4.19

Post by xeno74 »

caseycullen wrote:Hi Christian,
MATE-Terminal is crashing under Kernel 4.19.65, but not under 4.20.
MATE-Terminal running under 4.20
Image

Video showing crash under 4.19.65 - look at 0.03 seconds
YouTube Video

I can't find any error logs associated with this - any ideas?
-Casey
Hi Casey,

I can confirm this issue with the kernel 4.19.65. I tested the MATE-Terminal with this kernel on my X1000 today. Graham Cooper has the same issue on his G5.
Graham Cooper from Linux on PowerPC Macs facebook group wrote: I updated a G5 I had with fienix on and the mate terminal now crashes on launch. Just done a new install from the fienix.img file and was all fine until I again updated it and the mate terminal also crashes. Did wonder if anyone else see this. Anyway of downgrading the mate terminal ?
It seems that all PowerPC machines are affected. I haven't found any error messages yet. I use XTerm instead of the MATE-Terminal with the kernel 4.19.65.

Cheers,
Christian
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.

User avatar
xeno74
Posts: 5597
Joined: Fri Mar 23, 2012 7:58 am

Re: Kernel 4.19

Post by xeno74 »

Hi All,

I compiled the latest longterm kernel 4.19.85 today. Unfortunately the issue with the MATE Terminal still exists. I can't solve it because I don't see any error messages after the crash. I tried it with gdb but without any success.

Cheers,
Christian
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.

User avatar
xeno74
Posts: 5597
Joined: Fri Mar 23, 2012 7:58 am

Re: Kernel 4.19

Post by xeno74 »

xeno74 wrote:Hi All,

I compiled the latest longterm kernel 4.19.85 today. Unfortunately the issue with the MATE Terminal still exists. I can't solve it because I don't see any error messages after the crash. I tried it with gdb but without any success.

Cheers,
Christian
The MATE Terminal also crashes with the longterm kernel 4.14.
http://www.amigalinux.org
http://www.supertuxkart-amiga.de

Running Linux on AmigaONEs can require some tinkering.

Post Reply